<?php require_once('../Connections/jobtrack237.php'); ?>
<?php include("includes/authenticate.php");
// Includes the maintenance script //
include("includes/maintenance.php");
// Include random generator to be used to establish if page is being submitted twice //
include("../includes/myrandom.php");
// includes logout action//
include("includes/logout.php");


if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

// Load the Jobdetails sql query into page
include('includes/jobdetails_db.php');
include('includes/geysers/geyser-update.php');

?>
<!DOCTYPE html>
<html lang="en">
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Electric to Solar geyser</title>
    <!-- Bootstrap -->
    <link href="css/bootstrap.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/optic.css">
    
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
  	<body>

<div id="main" class="container">

<!-- INCLUDE TOPVAV -->
<?php include("includes/topnav.html");?>

<!-- JOB DETAILS -->
<?php include("includes/jobdetails.php");?>
<div class="col-xs-12">
<div class="row">

<iframe id="photo" src="job_photo1.php?fk_job=<?php echo $row_jobdetails['pk_job'];?>" scrolling="no" frameborder="0" > </iframe>

<form action="<?php echo $editFormAction; ?>" method="post" name="addform" id="addform" autocomplete="off">
 
 <!--CREATE COUNTERS FOR FORM FIELDS-->
 <?php 
   /// On radio buttons we place a hidden variable with a counter before the radio buttons in order for us to keep $c the same on buttons
  $c=0; // Counter for fields
  $d=0; // Counter for lables
  ?>

<!-- INSTALLATION OR INSPECTION -->
<h3><span class="label label-default center-block">INSTALLATION OR INSPECTION?</span></h3>
<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is this an installation of inspection" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Inspection" class="install-inspec" required> Inspection only</label>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Installation" required class="install-inspec" > Installation only</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="Inspect & install" required class="install-inspec" > Inspect & install</label>

<div class="show-remarks forminstall formcombined">
    <!-- REMARK FIELDS -->
    <?php include("includes/geysers/form-geyser-remarks.php"); ?>
    
    <!-- VALVES AND TESTING -->
    <?php include ("includes/geysers/form-geyser-valves-and-testing.php");?>
</div>

<div class="show-old-geyser forminspect formcombined" >    
    <!--OLD GEYSER DETAILS-->
    <?php include ("includes/geysers/form-geyser-electric-details-old.php");?>
    
    <!--GEYSER ACCESS-->
    <?php include ("includes/geysers/form-geyser-access.php");?>
</div>

<div class="show-new-geyser forminspect forminstall formcombined" >
    <!--NEW GEYSER DETAILS-->
    <h3><span class="label label-primary center-block">New Geyser Details</span></h3>
	<input name="FormLable[<?php echo $d++;?>]" type="hidden" value="h3">
	<input name="FormField[<?php echo $c++;?>]" type="hidden" value="NEW GEYSER DETAILS">
    <?php include ("includes/geysers/form-geyser-solar-geyser-make.php");?>
    <?php include ("includes/geysers/form-geyser-solar-new.php");?>
    <?php include ("includes/geysers/form-geyser-solar-collector-make.php");?>
    <?php include ("includes/geysers/form-geyser-new-accessories.php");?>
    <?php include ("includes/geysers/form-geyser-roofing.php");?>
</div>    

<div class="show-installation forminstall formcombined">
	<!-- INSTALLATON SPECIFIC QUESTIONS -->
	<?php include ("includes/geysers/form-geyser-location.php");?>
	<?php include ("includes/geysers/form-geyser-additional.php");?>
    
    <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Does your installation conform to SANS 10106?" readonly>
    <label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
    <label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>
    
    <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1"   value="Comments to be forwarded to Eskom" readonly>
	<textarea name="FormField[<?php echo $c++;?>]" class="form-control" rows="3" required></textarea>

    
	<?php include ("includes/geysers/form-geyser-sans-compliant.php");?>
	<?php include ("includes/geysers/form-geyser-sil-installation.php");?>
    
</div>

<div class="show-resultants forminspect forminstall formcombined" >
    <!--RESULTANTS-->
    <?php include ("includes/geysers/form-geyser-resultants.php");?>
</div>
     
    <!--WARNINGS-->
    <br>
    <?php include ("includes/geysers/form-geyser-warnings.php");?> 


    <!-- Submit Button -->
    <?php include ("includes/hidden-form-fields.php");?>
</form>
</div>
</div>
</div> 
    
</body>    
</html>
<?php include ("includes/scripts.php");?>

<?php
mysql_free_result($jobdetails);

?>
