$(document).ready(function(){
	function roundNumber(num, dec)
	{
		var result = Math.round( Math.round( num * Math.pow( 10, dec + 1 ) ) / Math.pow( 10, 1 ) ) / Math.pow(10,dec);
		return result;
	}
	function updateUploadifySettings(uploader)
	{
		if(uploader.attr("data")!=undefined)
		{
			var uploadifySettings = uploader.uploadifySettings("scriptData");
			var customData = eval('({' + uploader.attr("data") + '})');
			var data="";
			for(var name in customData)
			{
				data += "'" + name + "':";
				if(customData[name].substr(0,9)=="selector:")
					data += "'" + $(customData[name].substr(9).toString()).val() + "',";
				else
					data += "'" + customData[name] + "',";
			}
			data.substr(-1);
			data = eval('({' + data + '})');
			uploader.uploadifySettings("scriptData", $.extend(uploadifySettings, data));
		}
	}
	$(".IMU").each(function(index){
		var self = $(this);
		self.attr("id", "IMU"+index);
		if(self.attr("startOn")!=undefined)
		{
			if(self.attr("startOn")=="manually")
			{
				self.after("<input type='button' value='" + (self.attr("buttonCaption")==undefined ? '':self.attr("buttonCaption")) + "' id='IMU"+index+"start' class='uploadButton' />");
				$("#IMU"+index+"start").click(function(){
					updateUploadifySettings(self);
					self.uploadifyUpload();					
				});
			}
			else if(self.attr("startOn").substr(0, 8)=="onSubmit")
			{
				$("#"+self.attr("startOn").substr(9)).one("submit", function(event){
					event.preventDefault();
					updateUploadifySettings(self);
					var queue;
					if(customQueueId!="")
						queue = $("#"+customQueueId);
					else
						queue = $("#" + self.attr("id") + "Queue");
					if(queue.children().length>0)
					{
						var uploadifySettings = self.uploadifySettings("scriptData");
						var formData = $(this).serializeArray();
						var formDataJSON = {};
						for(var i=0; i<formData.length; i++)
							formDataJSON[formData[i].name] = formData[i].value;
						self.uploadifySettings("scriptData", $.extend(uploadifySettings, formDataJSON));
						self.uploadifyUpload();
					}
					else
						$(this).submit();
				});
			}
		}
		var fileExt = "";
		if(self.attr("fileExt")!=undefined)
		{
			var fileExtSplit = self.attr("fileExt").split(",");
			for(var i=0; i<fileExtSplit.length; i++)
			{
				fileExt += "*."+fileExtSplit[i];
				if(i+1<fileExtSplit.length)
					fileExt += ";";
			}
		}
		var fileDesc = "";
		if(self.attr("fileDesc")!=undefined)
			fileDesc = self.attr("fileDesc");
		var buttonImg = "";
		if(self.attr("button")!=undefined)
			buttonImg = self.attr("button");
		var bwidth = 110;
		if(self.attr("bwidth")!=undefined)
			bwidth = self.attr("bwidth");
		var bheight = 30;
		if(self.attr("bheight")!=undefined)
			bheight = self.attr("bheight");
		var customQueueId = "";
		if(self.attr("queueId")!=undefined)
			customQueueId = self.attr("queueId");
		var maxSize = "";
		if(self.attr("maxSize")!=undefined)
			maxSize = self.attr("maxSize");
		var uploadScript = "upload.php";
		if(self.attr("uploadScript")!=undefined)
			uploadScript = self.attr("uploadScript");
		var wmode = "transparent";
		if(self.attr("wmode")!=undefined)
			wmode = self.attr("wmode");
		var filesLimit = 999;
		if(self.attr("filesLimit")!=undefined)
			filesLimit = self.attr("filesLimit");
		var sessionId = "";
		if(self.attr("sessionId")!=undefined)
			sessionId = self.attr("sessionId");
			
		var scriptData = "'action':'upload', 'path':'"+self.attr('path')+"', 'PHPSESSID':'"+sessionId+"'";
		if(self.attr("thumbnails")!=undefined)
			scriptData += ", 'thumbnails':'" + self.attr("thumbnails") + "'";
		if(self.attr("thumbnailsFolders")!=undefined)
			scriptData += ", 'thumbnailsFolders':'" + self.attr("thumbnailsFolders") + "'";
		self.uploadify({
			'uploader'  : 'js/upload.swf',
			'script'    : uploadScript,
			'scriptData': eval('({' + scriptData + '})'),
			'queueID'	: customQueueId,
			'cancelImg' : 'close.png',
			'fileExt'	: fileExt,
			'fileDesc'	: fileDesc,
			'buttonImg'	: buttonImg,
			'wmode'		: wmode,
			'width'		: bwidth,
			'height'	: bheight,
			'sizeLimit'	: maxSize,
			'auto'      : (self.attr("startOn")=="auto" ? true:false),
			'multi'		: (self.attr("multi")=="true" ? true:false), 
			'queueSizeLimit' : filesLimit,
			'onSelect' : function(event, queueId, fileObj){
				if(self.attr("multi")!="true")
					if($("#"+queueId).html()!="")
						if(customQueueId!="")
							$("#"+customQueueId).html("");
						else
							$("#" + self.attr("id") + "Queue").html("");
			},
			'onSelectOnce' : function(event, data){
				if(self.attr("startOn")=="auto")
					updateUploadifySettings(self);
			},
			'onComplete' : function(event, queueId, fileObj, response, data){
				if(self.attr("startOn").substr(0, 8)=="onSubmit")
					$("#"+self.attr("startOn").substr(9)).append("<input type='hidden' name='IMUFiles[]' value='"+fileObj.name.replace("'", "%27")+"' />");
				if(self.attr("afterUpload")=="link" || self.attr("afterUpload")=="filename" || self.attr("afterUpload")=="image")
				{
					$("#" + self.attr("id") + queueId + " .uploadifyProgress").animate({opacity: 0}, 500, function(){$(this).remove();});
					if(response!="1")
						$("#" + self.attr("id") + queueId).html(response);
					else
					{
						$("#" + self.attr("id") + queueId).html((self.attr("allowRemove")=="true" ? "<div class='cancel'><input class='button_cancel' name='removeFile' fileName='"+fileObj.name.replace("'", "%27")+"' type='button'></div>":"") + (self.attr("afterUpload")=="link" || self.attr("afterUpload")=="image" ? "<a href='" + self.attr("path") + fileObj.name.replace("'", "%27") + "' target='_blank'>":"") + (self.attr("afterUpload")=="image" && (fileObj.type.toLowerCase()==".jpg" || fileObj.type.toLowerCase()==".jpeg" || fileObj.type.toLowerCase()==".bmp" || fileObj.type.toLowerCase()==".png" || fileObj.type.toLowerCase()==".tiff" || fileObj.type.toLowerCase()==".gif")  ? "<img class='uploadedImage' src='" + self.attr("path") + fileObj.name.replace("'", "%27") +"' />":"<span class='fileName'>"+fileObj.name+"</span>") + (self.attr("afterUpload")=="link" || self.attr("afterUpload")=="image" ? "</a>":""));
						if(self.attr("thumbnailsAfterUpload")!=undefined)
						{
							var thumbnailsAfterUploadSplit = self.attr("thumbnailsAfterUpload").split(",");
							var thumbnailsFoldersSplit = self.attr("thumbnailsFolders").split(",");
							for(var i=0; i<thumbnailsAfterUploadSplit.length; i++)
							{
								display = $.trim(thumbnailsAfterUploadSplit[i]);
								folder = ($.trim(thumbnailsFoldersSplit[i])=="" ? self.attr("path") : $.trim(thumbnailsFoldersSplit[i]));
								if(display!="filename" && display!="image" && display!="link")
									$("#" + self.attr("id") + queueId).append("<span class='afterUploadThumbnail'>" + display + "</span>");
								else
									$("#" + self.attr("id") + queueId).append("<span class='afterUploadThumbnail'>" + (display=="link" || display=="image" ? "<a href='" + folder + "thumb" + i + "_" + fileObj.name.replace("'", "%27") + "' target='_blank'>":"") + (display=="image" && (fileObj.type.toLowerCase()==".jpg" || fileObj.type.toLowerCase()==".jpeg" || fileObj.type.toLowerCase()==".bmp" || fileObj.type.toLowerCase()==".png" || fileObj.type.toLowerCase()==".tiff" || fileObj.type.toLowerCase()==".gif")  ? "<img class='uploadedThumbnail' src='" + folder + "thumb" + i + "_" + fileObj.name.replace("'", "%27") + "' />":"<span class='fileName'>" + "thumb" + i + "_" + fileObj.name + "</span>") + (display=="link" || display=="image" ? "</a>":"") + "</span>");
							}
						}
					}
					return false;
				}
			},
			'onAllComplete' : function(event, data){
				if(self.attr("afterUpload")!=undefined && self.attr("afterUpload")!="link" && self.attr("afterUpload")!="filename"&& self.attr("afterUpload")!="image")
				{
					var message = self.attr("afterUpload");
					message = message.replace("IMUfilesUploaded", data.filesUploaded);
					message = message.replace("IMUerrors", data.errors);
					message = message.replace("IMUtotalSizeB", data.allBytesLoaded);
					message = message.replace("IMUtotalSizeKB", roundNumber(data.allBytesLoaded/1024, 2));
					message = message.replace("IMUtotalSizeMB", roundNumber(data.allBytesLoaded/1024/1024, 2));
					message = message.replace("IMUtotalSizeGB", roundNumber(data.allBytesLoaded/1024/1024/1024, 2));
					message = message.replace("IMUspeedB", roundNumber(Math.round(data.speed*1024), 2));
					message = message.replace("IMUspeedKB", roundNumber(Math.round(data.speed), 2));
					message = message.replace("IMUspeedMB", roundNumber(Math.round(data.speed/1024), 2));
					message = message.replace("IMUspeedGB", roundNumber(Math.round(data.speed/1024/1024), 2));
						$("#" + self.attr("id") + "Queue").html(message);
				}
				if(self.attr("startOn").substr(0, 8)=="onSubmit")
					$("#"+self.attr("startOn").substr(9)).submit();
			},
			'onError': function (event, queueID ,fileObj, errorObj) {
				/* if you got some problems just uncomment this code for debugging */
				/*var msg;
				if (errorObj.info == 404)
				   msg = 'Could not find upload script.';
				else if(errorObj.type === "HTTP")
				   msg = errorObj.type+ ": " +errorObj.info;
				else if(errorObj.type ==="File Size")
				   msg = fileObj.name+ ": " +errorObj.type;
				else
				   msg = errorObj.type+ ": " +errorObj.info;
				alert(msg);
				return false;*/
            }
		});
		if(self.attr("allowRemove")=="true")
		{
			$("#"+(customQueueId!="" ? customQueueId:self.attr("id")+"Queue")+" [name=removeFile]").live("click", function(){
				var selfRemove = $(this);
				$.ajax({
							url: uploadScript,
							data: "action=remove&path="+self.attr("path")+"&filename="+selfRemove.attr("fileName"),
							type: "POST",
							async: false,
							success: function(data){
									if(data!="")
										alert(data);
									else
										selfRemove.parent().parent().animate({opacity: 0}, 500, function(){$(this).remove();});
							}
					});
			});
		}
	});
});

