<?php require_once('../Connections/jobtrack237.php'); ?>
<?php include("includes/authenticate.php");
// Includes the maintenance script //
include("includes/maintenance.php");
// Include random generator to be used to establish if page is being submitted twice //
include("../includes/myrandom.php");
// includes logout action//
include("includes/logout.php");


if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

// Load the Jobdetails sql query into page
include('includes/jobdetails_db.php');
include('includes/geysers/geyser-update.php');


?>
<!DOCTYPE html>
<html lang="en">
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Component Replacement</title>
    <!-- Bootstrap -->
    <link href="css/bootstrap.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/optic.css">
    
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
  	<body>

<div id="main" class="container">

<!-- INCLUDE TOPVAV -->
<?php include("includes/topnav.html");?>

<!-- JOB DETAILS -->
<?php include("includes/jobdetails.php");?>
<div class="col-xs-12">
<div class="row">

<iframe id="photo" src="job_photo1.php?fk_job=<?php echo $row_jobdetails['pk_job'];?>" scrolling="no" frameborder="0" > </iframe>

<form action="<?php echo $editFormAction; ?>" method="post" name="addform" id="addform" autocomplete="off">
 
 <!--CREATE COUNTERS FOR FORM FIELDS-->
 <?php 
   /// On radio buttons we place a hidden variable with a counter before the radio buttons in order for us to keep $c the same on buttons
  $c=0; // Counter for fields
  $d=0; // Coutner for lables
  ?>

<!-- TYPE OF REPLACEMENT -->
<h3><span class="label label-default center-block">TYPE OF COMPONENT REPLACEMENT</span></h3>
<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="What type of components failed?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Electric Geyser" class="component-replace" required> Electric Geyser</label>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Solar Geyser" required class="component-replace" > Solar Geyser</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="Heat pump" required class="component-replace" > Heat pump</label>

<div class="component-geyser">
    <!-- ELECTRIC GEYSER DETAILS -->
    <h3><span class="label label-default center-block">Electric Geyser Details</span></h3>
    <input name="FormLable[<?php echo $d++;?>]" type="hidden" value="h3">
    <input name="FormField[<?php echo $c++;?>]" type="hidden" value="Electric Geyser Details">
    
    <?php include ("includes/geysers/form-geyser-electric-details-old.php");?>
    
    <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is the electric Geyser installed to SANS 10254?" readonly>
    <label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
    <label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>
</div>


<div class="component-heatpump">
	<!-- HEATPUMP DETAILS -->
	<?php include ("includes/geysers/form-geyser-heatpump-details.php");?>
</div>



<div class="component-solar">
    <!-- SOLAR SYSTEM DETAILS -->
    <h3><span class="label label-default center-block">Solar System Details</span></h3>
    <input name="FormLable[<?php echo $d++;?>]" type="hidden" value="h3">
    <input name="FormField[<?php echo $c++;?>]" type="hidden" value="Solar System Details">
    
        <?php include ("includes/geysers/form-geyser-solar-details.php");?>
        <?php include ("includes/geysers/form-geyser-solar-geyser-make.php");?>
        <?php include ("includes/geysers/form-geyser-solar-collector-make.php");?>
        <?php include ("includes/geysers/form-geyser-solar-new.php");?>
    
    <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is the Solar System installed to SANS 10106?" readonly>
        <label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
        <label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>
</div>


<div class="component-heatpump component-solar component-geyser">

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Are there multiple failures?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required class="component-multiple" > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="component-multiple"> No</label>


<!-- COMPONENT FAILURE -->
<h3><span class="label label-default center-block">Components that failed</span></h3>
<input name="FormLable[<?php echo $d++;?>]" type="hidden" value="b">
<input name="FormField[<?php echo $c++;?>]" type="hidden" value="Components that failed">
<?php include ("includes/geysers/form-component-failures.php");?>

<h3><span class="label label-default center-block">Components under warantee</span></h3>
<input name="FormLable[<?php echo $d++;?>]" type="hidden" value="b">
<input name="FormField[<?php echo $c++;?>]" type="hidden" value="Components under warantee">
<?php include ("includes/geysers/form-component-failures.php");?>

<h3><span class="label label-default center-block">Components replaced</span></h3>
<input name="FormLable[<?php echo $d++;?>]" type="hidden" value="b">
<input name="FormField[<?php echo $c++;?>]" type="hidden" value="omponents replaced">
<?php include ("includes/geysers/form-component-failures.php");?>
</div>


 <div class="component-heatpump component-solar component-geyser">
    <!-- GENERAL DETAILS -->
    <h3><span class="label label-default center-block">General Information</span></h3>
    <input name="FormLable[<?php echo $d++;?>]" type="hidden" value="h3">
    <input name="FormField[<?php echo $c++;?>]" type="hidden" value="General Information">
    <?php include ("includes/geysers/form-geyser-general-info.php");?>
    
    <!--GEYSER ACCESS INFO -->
    <?php include ("includes/geysers/form-geyser-access.php");?>
    
    <!--RESULTANTS -->
	<?php include ("includes/geysers/form-geyser-resultants.php");?>
    
    <p class="label1">Would you like to do a quote?</p>
    <select name="checkquote" id="checkquote" class="form-control" required>
    <option value="" selected>--Select--</option>
    <option value="No">No</option>
    <option value="Yes">Yes</option>
    </select>
</div>
    

<!--WARNINGS-->
<?php include ("includes/geysers/form-geyser-warnings.php");?>



 <!-- SUBMIT BUTTON -->
	<?php include ("includes/hidden-form-fields.php");?>
</form>
</div>
</div>
</div> 
    
  </body>    
</html>
<?php include ("includes/scripts.php");?>

<?php
mysql_free_result($jobdetails);

?>
