<?php require_once('../Connections/jobtrack237.php'); ?>
<?php include("includes/authenticate.php");
// Includes the maintenance script 
include("includes/maintenance.php");
// Include random generator to be used to establish if page is being submitted twice 
include("../includes/myrandom.php");
// includes logout action
include("includes/logout.php");

if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

// Load the Jobdetails sql query into page
include('includes/jobdetails_db.php');
include('includes/werd/werd-update.php');

?>
<!DOCTYPE html>
<html lang="en">
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>WERD DEVICE</title>
    <!-- Bootstrap -->
    <link href="css/bootstrap.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/optic.css">
    
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
      <script>
	  window.onbeforeunload = function() { return "You work will be lost."; };
      </script>  
    
    </head>
  	<body>

<div id="main" class="container">

<!-- INCLUDE TOPVAV -->
<?php include("includes/topnav.html");?>

<!-- JOB DETAILS -->
<?php include("includes/jobdetails.php");?>
<div class="col-xs-12">
<div class="row">

<!-- PHOTO DETAILS -->
<iframe id="photo" src="job_photo1.php?fk_job=<?php echo $row_jobdetails['pk_job'];?>" scrolling="no" frameborder="0" > </iframe>

<form action="<?php echo $editFormAction; ?>" method="post" name="addform" id="addform" autocomplete="off">
 
 <!--CREATE COUNTERS FOR FORM FIELDS-->
 <?php 
   // On radio buttons we place a hidden variable with a counter before the radio buttons in order for us to keep $c the same on buttons
  $c=0; // Counter for fields
  $d=0; // Countner for lables
  ?>
 

 
<!--WERD QUESTIONS -->
<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Serial number of WERD" readonly>
<input name="FormField[<?php echo $c++;?>]" type="text" class="form-control" >

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is installation 0254?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]"  class="0254check" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" class="0254check"  value="No"> No</label>

<div class="conditional" data-cond-option="0254check" data-cond-value="No">
<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Why not?" readonly>
<input name="FormField[<?php echo $c++;?>]" type="text" class="form-control" >
</div>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Where is the location of the geyser? " readonly>
<select name="FormField[<?php echo $c++;?>]" class="form-control" required>
    <option value="">--Select--</option>
    <option value="Bathroom - Main">Bathroom - Main</option>
    <option value="Bathroom - Ensuite">Bathroom - Ensuite</option>
    <option value="Bathroom - Guest toilet">Bathroom - Guest toilet</option>
    <option value="Bedroom - Main">Bedroom - Main</option>
    <option value="Bedroom - Second">Bedroom - Second</option>
    <option value="Bedroom - Third">Bedroom - Third</option>
    <option value="Bedroom - Servants qaurters">Bedroom - Servants qaurters</option>
    <option value="Diningroom">Diningroom</option>
    <option value="Garrage">Garrage</option>
    <option value="Kitchen">Kitchen</option>
    <option value="Laundry room">Laundry room</option>
    <option value="Lounge">Lounge</option>
    <option value="Scullery">Scullery</option>
    <option value="Passage">Passage</option>
    <option value="Study">Study</option>
    <option value="Outside">Outside</option>
    <option value="Other">Other</option>
</select>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Geyser orientation?" readonly>
<select name="FormField[<?php echo $c++;?>]" class="form-control" required>
    <option value="">--Select--</option>
    <option value="Horisontal">Horisontal</option>
    <option value="Vertical">Vertical</option>
</select>

<!--NOTES ON JOB-->

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Does geyser have drip tray?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]"   value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]"   value="No"> No</label>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is lever valve installed correctly?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" class="levervalve" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" class="levervalve" value="No"> No</label>

<div class="conditional" data-cond-option="levervalve" data-cond-value="No">
<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Why not?" readonly>
<input name="FormField[<?php echo $c++;?>]" type="text" class="form-control" >
</div>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is Robot installed correctly?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>
 
<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is controller in upright position?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" class="controllercheck0" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="controllercheck0"> No</label>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is controller less than 1m from geyser?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" class="controllercheck1"required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="controllercheck1"> No</label>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Is the controller connected up to the isolator switch?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required class="controllercheck2" > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="controllercheck2"> No</label>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Was the device tested to see if it works?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>

 <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Did you check that wiring is sadled properly?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>

 <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Are the deteciton cables dry?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>

 <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Are the detection cables secure?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" class="detectcabel" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="detectcabel"> No</label>

 <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Was the WERD sticker pasted on the DB Board?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes"  class="dbboard" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="dbboard" > No</label>

 <input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Was the WERD sticker pasted on the geyser?" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No"> No</label>

<!--PHOTOS-->

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Did you take a photo of the Robot " readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required class="photo1" > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="photo1" > No</label>

<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Did you take a photo of the Controller " readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required  class="photo2" > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="photo2" > No</label>


<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Did you take a photo of the Detecting Cable " readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required  class="photo3" > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="photo3" > No</label>


<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Did you take a photo of the installation" readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required class="photo4"  > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="photo4" > No</label>


<input name="FormLable[<?php echo $d++;?>]" type="text" class="lable1" value="Did you take a photo of the geyser tag " readonly>
<label><input type="radio" name="FormField[<?php echo $c;?>]" value="Yes" required class="photo5"  > Yes</label>
<label><input type="radio" name="FormField[<?php echo $c++;?>]" value="No" class="photo5" > No</label>

<!--WARNINGS-->
<?php include ("includes/werd/warnings.php");?>

<!-- SUBMIT BUTTON -->
<br>
<?php include ("includes/hidden-form-fields.php");?>
  
</form>  
</div>
</div> 
</div>

    
  </body>    
  
  
</html>
<?php include ("includes/scripts.php");?>

<?php
mysql_free_result($jobdetails);

?>
