<?php

// Timer that checks if current diary item falls in one of 4 zones
	// zone 1 = green colour <30% of alarmTime
	// zone 2 = organge colour between 30% and 60% of alarmTime
	// zone 3 = red colour between 60% and 90% of alarm time
	// zone 4 = 100% + 5 minutes --- sends email to supervisors
	
	function diarytimer($note,$jobtime,$alarmtime,$servtime) {
		
		$jobtime = strtotime($jobtime);
		$servtime = strtotime($servtime);
		
		$zone1calc = round($alarmtime*.3,0); // 30% of alarm time
		$zone2calc = round($alarmtime*.6,0); // 60% of alarm time
		$zone3calc = $alarmtime; // 100% of alarm time
		$zone4calc = $alarmtime+5; // alarm time + 5 minutes
		
		$zone1msg = "<p class=\"btn5\">".$note."</p>"; // green
		$zone2msg = "<p class=\"btn8\">".$note."</p>"; // orange
		$zone3msg = "<p class=\"btn7\">".$note."</p>"; // red
		$zone4msg = "<p class=\"btn10\">".$note."</p>"; // black + email
		
		$timediff = ($servtime-$jobtime)/60;
		$minutespassed = round($timediff,0);
	
		if($minutespassed < $zone1calc ) {echo $zone1msg ;} // green
		else if($minutespassed >= $zone1calc && $minutespassed <= $zone2calc ) {echo $zone2msg ;} // orange
		else if($minutespassed >= $zone2calc && $minutespassed <= $zone3calc) {echo $zone3msg ;} // red
		else if($minutespassed >= $zone3calc && $minutespassed <= $zone4calc) {echo $zone4msg ;} // black
		else if($minutespassed >= $zone4calc) {
			echo $zone4msg ;
			// send email
			
		} 

	}

/// must update dbase with alarmTime, upload include file, upload new diary file, upload css file
?>




