<?php
/*  The user_allowall and user_allowadmin files are on every page of the site 
and are perfect for including new 'includes' into the system. So you will see some inlcudes called from
this page */

// START SESSION //
if (!isset($_SESSION)) {session_start();}

// Calls the session name //
include_once("includes/mysession.php");

// Calls the Maintenance screen page ///
include_once("includes/maintenance.php");

// Calls the Log out script //
include_once("includes/logout.php");

// Calls Magic Quotes to escape php //
include_once("includes/magicquotes.php");

// Sets the SMS system to Active or Test mode
$smssystem = "true";
//$smssystem = "true";
if($smssystem=="false") {$smsstatus="<b style=\"color:red;\"> SMS SYSTEM IN TEST MODE </b>";};
if($smssystem=="true") {$smsstatus="<b style=\"color:green;\"> SMS SYSTEM ACTIVE </b>";};

// Restrics access to page //
$MM_authorizedUsers = "1,2,3";
$MM_donotCheckaccess = "false";

// *** Restrict Access To Page: Grant or deny access to this page
function isAuthorized($strUsers, $strGroups, $UserName, $UserGroup) { 
  // For security, start by assuming the visitor is NOT authorized. 
  $isValid = False; 

  // When a visitor has logged into this site, the Session variable MM_Username set equal to their username. 
  // Therefore, we know that a user is NOT logged in if that Session variable is blank. 
  if (!empty($UserName)) { 
    // Besides being logged in, you may restrict access to only certain users based on an ID established when they login. 
    // Parse the strings into arrays. 
    $arrUsers = Explode(",", $strUsers); 
    $arrGroups = Explode(",", $strGroups); 
    if (in_array($UserName, $arrUsers)) { 
      $isValid = true; 
    } 
    // Or, you may restrict access to only certain users based on their username. 
    if (in_array($UserGroup, $arrGroups)) { 
      $isValid = true; 
    } 
    if (($strUsers == "") && false) { 
      $isValid = true; 
    } 
  } 
  return $isValid; 
}

$MM_restrictGoTo = "index.php?log=1";
if (!((isset($_SESSION['MM_Username'])) && (isAuthorized("",$MM_authorizedUsers, $_SESSION['MM_Username'], $_SESSION['MM_UserGroup'])))) {   
  $MM_qsChar = "?";
  $MM_referrer = $_SERVER['PHP_SELF'];
  if (strpos($MM_restrictGoTo, "?")) $MM_qsChar = "&";
  if (isset($QUERY_STRING) && strlen($QUERY_STRING) > 0) 
  $MM_referrer .= "?" . $QUERY_STRING;
  $MM_restrictGoTo = $MM_restrictGoTo. $MM_qsChar . "accesscheck=" . urlencode($MM_referrer);
  header("Location: ". $MM_restrictGoTo); 
  exit;
}

// This is used to test that the session names for correctly //
// echo session_name()."<br/>"; echo session_id();

// Calls Session timer script //
include_once("includes/sestimer.php");

?>




